<template>
  <div class="game-list">
    <span v-if="!games.length">There are no matching games</span>
    <GameTile v-for="game in games" :key="game.id" :game="game"/>
  </div>
</template>

<script>
import GameTile from './GameTile'

export default {
    name: 'GameList',
    components: {
        GameTile
    },
    props: {
        games: Array
    },
};
</script>

<style lang="scss" scoped>
    .game-list {
        display: grid;
        grid-template-columns: repeat( auto-fill, minmax(220px, 1fr) );
        grid-gap: .5rem;
        padding: .5rem;
    }

    @media only screen and (max-width: 480px) {
        .game-list {
            grid-template-columns: repeat( auto-fill, minmax(150px, 1fr) );
        }
    }
</style>
